Conversation
TALK
Send message to user
HEAR
Wait for user input
WAIT
Pause execution
Logic
IF
Conditional branch
SWITCH
Multiple conditions
FOR EACH
Loop through items
Data
SET
Assign variable
GET
Fetch data
SAVE
Save to storage
Actions
SEND MAIL
Send email
CALL
Call procedure
POST
HTTP POST request
Memory
SET BOT MEMORY
Store bot data
GET BOT MEMORY
Retrieve bot data
SET USER MEMORY
Store user data
GET USER MEMORY
Retrieve user data

### AI Improvements

Analyzing your dialog...

Properties
Select a node to edit its properties
Open Dialog File
Loading files...